Package net.dona.doip.client

## Class DoipException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.dona.doip.client.DoipException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class DoipException
      extends java.lang.Exception

  An exception thrown by `DoipClient` when something goes wrong such as an unexpected status code returned for an operation.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DoipException​(java.lang.String message)` |
    `DoipException​(java.lang.String statusCode, java.lang.String message)` |
    `DoipException​(java.lang.String statusCode, java.lang.String message, java.lang.Throwable cause)` |
    `DoipException​(java.lang.Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getStatusCode()` | Gets the status code returned by the operation, if available.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DoipException

          public DoipException​(java.lang.String message)

    - #### DoipException

          public DoipException​(java.lang.String statusCode,
                               java.lang.String message)

    - #### DoipException

          public DoipException​(java.lang.Throwable cause)

    - #### DoipException

          public DoipException​(java.lang.String statusCode,
                               java.lang.String message,
                               java.lang.Throwable cause)

  - ### Method Detail

    - #### getStatusCode

          public java.lang.String getStatusCode()

      Gets the status code returned by the operation, if available.
      Returns:
        the status code returned by the operation, if available